--- title: "Get scenario deployment history list" slug: "devtools-sourcedeploy-historylist" tags: ["SourceDeploy"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/devtools-sourcedeploy-historylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get scenario deployment history list Available in Classic and VPC Get the deployment project execution history list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/project/{projectId}/history | ### Request headers For information about the headers common to all SourceDeploy APIs, see [SourceDeploy request headers](/docs/en/devtools-sourcedeploy#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `projectId` | String | Required | Project ID - See [Get project list](/docs/en/devtools-sourcedeploy-projectlist). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Number | Optional | Page number - 1-N (default: 1) | | `pageSize` | Number | Optional | Number of items per page - 1-100 (default: 100) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsourcedeploy.apigw.ntruss.com/api/v1/project/2***/history' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.historyList` | Array | - | Deployment history list: [historyList](/docs/en/devtools-sourcedeploy-historylist#historyList) | #### `historyList` The following describes `historyList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `project` | Object | - | Project information | | `project.id` | Number | - | Project ID | | `project.name` | String | - | Project name | | `stage` | Object | - | Deployment stage information | | `stage.id` | Number | - | Deployment stage ID | | `stage.name` | String | - | Deployment stage name | | `scenario` | Object | - | Deployment scenario information | | `scenario.id` | Number | - | Deployment scenario ID | | `scenario.name` | String | - | Deployment scenario name | | `id` | String | - | Job result ID | | `startTime` | Number | - | Job request date and time - Unix timestamp format | | `status` | String | - | Deployment status | ### Response status codes For information about the HTTP status codes common to all SourceDeploy APIs, see [SourceDeploy response status codes](/docs/en/devtools-sourcedeploy#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "historyList": [ { "project": { "id": 2***, "name": "deploy2" }, "stage": { "id": 3***, "name": "test" }, "scenario": { "id": 2***, "name": "testscenario2" }, "id": 80***, "startTime": 1747357650000, "status": "pending" }, { "project": { "id": 2***, "name": "deploy2" }, "stage": { "id": 3***, "name": "test" }, "scenario": { "id": 2***, "name": "testscenario2" }, "id": 80***, "startTime": 1747099665000, "status": "success" }, { "project": { "id": 2***, "name": "deploy2" }, "stage": { "id": 3***, "name": "test2" }, "scenario": { "id": 2***, "name": "testsceneNKS" }, "id": 80***, "startTime": 1747094733000, "status": "fail" }, ... ] } } ```